(function capsule(window) {
  function defineLibrary() {
    const MixerLib = {};
    class Mixer extends FilterLib.Filter {
      getFragmentShader() {
        this.fragmentShader = `precision highp float;
uniform sampler2D uTexture0;
uniform sampler2D uTexture1;
uniform float uSetScalar0;
varying highp vec2 v_texCoordinate;

void main() {
  vec4 c =  texture2D(uTexture0,v_texCoordinate);
  vec4 c2 = texture2D(uTexture1,v_texCoordinate);
  gl_FragColor = mix(c,c2,uSetScalar0);
}`;
      }

      getExtraParams(gl) {
        this.params.uTexture1 = gl.getUniformLocation(this.program, 'uTexture1');
        this.params.uSetScalar0 = gl.getUniformLocation(this.program, 'uSetScalar0');
      }

      setExtraParams(gl) {
        gl.uniform1f(this.params.uSetScalar0, this.t);
        gl.activeTexture(this.fb2.textureUnit.unit);
        gl.bindTexture(gl.TEXTURE_2D, this.fb2.texture);
        gl.uniform1i(this.params.uTexture1, this.fb2.textureUnit.number);
      }


      draw(gl, canvas, fb, fb2) {
        this.fb2 = fb2;
        super.draw(gl, canvas, fb);
      }

      constructor(gl, canvas) {
        super(gl, canvas);
        this.t = 0.0;
      }

      setT(t) {
        this.t = t;
      }
    }
    MixerLib.Mixer = Mixer;
    return MixerLib;
  }
// define globally if it doesn't already exist
  if (typeof (MixerLib) === 'undefined') {
    const mwindow = window;
    mwindow.MixerLib = defineLibrary();
  }
}(window)); // eslint-disable-line no-undef
